readArr {AffyCompatible} | R Documentation

## Read ARR sample attribute files

### Description

This functions reads the content of Affymetrix ARR sample attribute files created by GeneChiptextregistered{} Command Console. Objects are represented as R classes. Navigation and extraction of data are described in the vignette `Retrieving MAGE and ARR sample attributes'.

### Usage

    readArr(fls, ...)

### Arguments

`fls` | A character vector containing the paths to files to be read.
`...` | Additional arguments, currently unused.

### Value

An object or list of objects of class `ArrayFileSet`, depending on whether one or several file paths are provided.

### Author(s)

Martin Morgan

### See Also

The vignette `Retrieving MAGE and ARR sample attributes' for detailed illustration of use.

`xclass` and `readXml` for advanced access methods.

### Examples

    dir <- system.file("extdata", "ARR", package="AffyCompatible")
    fls <- list.files(dir, full=TRUE)
    readArr(fls[[1]])
    readArr(fls)

[Package AffyCompatible version 1.2.0 Index]